Bug 123530 - 77 p5- ports are missing CATEGORIES=perl
Summary: 77 p5- ports are missing CATEGORIES=perl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-08 21:30 UTC by Philip M. Gollucci
Modified: 2008-05-19 14:20 UTC (History)
0 users

See Also:


Attachments
perl.diff (39.29 KB, patch)
2008-05-08 21:30 UTC, Philip M. Gollucci
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philip M. Gollucci 2008-05-08 21:30:01 UTC
$ find /usr/ports -type d -name "p5-*" | \
    sed -e 's,$,/Makefile,' | \
    xargs grep -c perl5 | \
    grep :0$ | \
    sed -e 's,:0$,,' | \
    xargs sudo perl -pi -e 's,CATEGORIES=(.*),CATEGORIES=\1 perl,'
Comment 1 Marcelo Araujo freebsd_committer 2008-05-09 02:43:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 2 dfilter service freebsd_committer 2008-05-19 14:12:23 UTC
araujo      2008-05-19 13:12:08 UTC

  FreeBSD ports repository

  Modified files:
    astro/p5-Geo-METAR   Makefile 
    biology/p5-Bio-Das   Makefile 
    databases/p5-Cache-Memcached Makefile 
    databases/p5-Cache-Memcached-XS Makefile 
    databases/p5-SQL-ReservedWords Makefile 
    devel/p5-Alias       Makefile 
    devel/p5-Class-Measure Makefile 
    devel/p5-Class-ReturnValue Makefile 
    devel/p5-Class-Tom   Makefile 
    devel/p5-Coro        Makefile 
    devel/p5-Curses-Application Makefile 
    devel/p5-Curses-Forms Makefile 
    devel/p5-Curses-Widgets Makefile 
    devel/p5-Danga-Socket Makefile 
    devel/p5-Java        Makefile 
    devel/p5-Logfile-Rotate Makefile 
    devel/p5-Object-Realize-Later Makefile 
    devel/p5-SDL         Makefile 
    devel/p5-SVN-Notify  Makefile 
    devel/p5-Term-ReadPassword Makefile 
    devel/p5-Thrift      Makefile 
    devel/p5-Time-Object Makefile 
    devel/p5-accessors   Makefile 
    devel/p5-subatom     Makefile 
    devel/p5-usb         Makefile 
    finance/p5-Data-Currency Makefile 
    graphics/p5-SVG-Metadata Makefile 
    japanese/p5-FormValidator-Simple-Plugin-Number-Phone-JP 
                                                            Makefile 
    mail/p5-Mail-LMLM    Makefile 
    mail/p5-qpsmtpd      Makefile 
    math/p5-AI-NeuralNet-BackProp Makefile 
    math/p5-AI-Perceptron Makefile 
    math/p5-Algorithm-CurveFit Makefile 
    math/p5-Math-Complex Makefile 
    math/p5-Math-Polynomial-Solve Makefile 
    math/p5-Statistics-Forecast Makefile 
    math/p5-Statistics-LineFit Makefile 
    misc/p5-Norge        Makefile 
    net/p5-Geo-IP        Makefile 
    net/p5-Net-ARP       Makefile 
    net/p5-Net-Yadis     Makefile 
    net/p5-Queue-Beanstalk Makefile 
    net/p5-Socks         Makefile 
    security/p5-Authen-TacacsPlus Makefile 
    security/p5-Authen-Ticket Makefile 
    security/p5-Crypt-PGPSimple Makefile 
    security/p5-Yahoo-BBAuth Makefile 
    textproc/p5-Plucene-Analysis-CJKAnalyzer Makefile 
    textproc/p5-Senna    Makefile 
    textproc/p5-String-Format Makefile 
    textproc/p5-XML-Canonical Makefile 
    www/p5-Apache-AutoIndex Makefile 
    www/p5-Apache-Icon   Makefile 
    www/p5-Apache-Language Makefile 
    www/p5-ApacheBench   Makefile 
    www/p5-AxKit         Makefile 
    www/p5-AxKit-XSP-Cookie Makefile 
    www/p5-AxKit-XSP-ESQL Makefile 
    www/p5-AxKit-XSP-Exception Makefile 
    www/p5-AxKit-XSP-IfParam Makefile 
    www/p5-AxKit-XSP-Param Makefile 
    www/p5-AxKit-XSP-PerForm Makefile 
    www/p5-AxKit-XSP-Sendmail Makefile 
    www/p5-AxKit-XSP-Util Makefile 
    www/p5-AxKit-XSP-WebUtils Makefile 
    www/p5-Catalyst-Action-REST Makefile 
    www/p5-Catalyst-Authentication-Store-LDAP Makefile 
    www/p5-Catalyst-Plugin-Server Makefile 
    www/p5-Catalyst-View-ClearSilver Makefile 
    www/p5-Catalyst-View-Email Makefile 
    www/p5-Catalyst-View-JSON Makefile 
    www/p5-Catalyst-View-Templated Makefile 
    www/p5-Catalyst-View-XSLT Makefile 
    www/p5-HTML-Adsense  Makefile 
    www/p5-HTML-Display  Makefile 
    www/p5-HTML-FillInForm-ForceUTF8 Makefile 
    www/p5-HTTP-MobileAttribute Makefile 
    www/p5-Template-Plugin-JSON Makefile 
    www/p5-Template-Plugin-VMethods Makefile 
    x11-toolkits/p5-Gtk2-TrayIcon Makefile 
  Log:
  - Include some ports in perl5 category.
  
  PR:             ports/123530
  Submitted by:   Philip M. Gollucci <pgollucci@p6m7g8.com>
  Reworked by:    araujo (myself)
  Approved by:    flz (portmgr)
  
  Revision  Changes    Path
  1.12      +1 -1      ports/astro/p5-Geo-METAR/Makefile
  1.10      +1 -1      ports/biology/p5-Bio-Das/Makefile
  1.4       +1 -1      ports/databases/p5-Cache-Memcached-XS/Makefile
  1.18      +1 -1      ports/databases/p5-Cache-Memcached/Makefile
  1.4       +1 -1      ports/databases/p5-SQL-ReservedWords/Makefile
  1.8       +1 -1      ports/devel/p5-Alias/Makefile
  1.3       +1 -1      ports/devel/p5-Class-Measure/Makefile
  1.7       +1 -1      ports/devel/p5-Class-ReturnValue/Makefile
  1.11      +1 -1      ports/devel/p5-Class-Tom/Makefile
  1.26      +1 -1      ports/devel/p5-Coro/Makefile
  1.4       +1 -1      ports/devel/p5-Curses-Application/Makefile
  1.4       +1 -1      ports/devel/p5-Curses-Forms/Makefile
  1.8       +1 -1      ports/devel/p5-Curses-Widgets/Makefile
  1.10      +1 -1      ports/devel/p5-Danga-Socket/Makefile
  1.5       +1 -1      ports/devel/p5-Java/Makefile
  1.3       +1 -1      ports/devel/p5-Logfile-Rotate/Makefile
  1.7       +1 -1      ports/devel/p5-Object-Realize-Later/Makefile
  1.24      +1 -1      ports/devel/p5-SDL/Makefile
  1.18      +1 -1      ports/devel/p5-SVN-Notify/Makefile
  1.5       +1 -1      ports/devel/p5-Term-ReadPassword/Makefile
  1.2       +1 -1      ports/devel/p5-Thrift/Makefile
  1.9       +1 -1      ports/devel/p5-Time-Object/Makefile
  1.5       +1 -1      ports/devel/p5-accessors/Makefile
  1.3       +1 -1      ports/devel/p5-subatom/Makefile
  1.2       +1 -1      ports/devel/p5-usb/Makefile
  1.2       +1 -1      ports/finance/p5-Data-Currency/Makefile
  1.7       +1 -1      ports/graphics/p5-SVG-Metadata/Makefile
  1.3       +1 -1      ports/japanese/p5-FormValidator-Simple-Plugin-Number-Phone-JP/Makefile
  1.2       +1 -1      ports/mail/p5-Mail-LMLM/Makefile
  1.6       +1 -1      ports/mail/p5-qpsmtpd/Makefile
  1.9       +1 -1      ports/math/p5-AI-NeuralNet-BackProp/Makefile
  1.11      +1 -1      ports/math/p5-AI-Perceptron/Makefile
  1.4       +1 -1      ports/math/p5-Algorithm-CurveFit/Makefile
  1.8       +1 -1      ports/math/p5-Math-Complex/Makefile
  1.3       +1 -1      ports/math/p5-Math-Polynomial-Solve/Makefile
  1.3       +1 -1      ports/math/p5-Statistics-Forecast/Makefile
  1.3       +1 -1      ports/math/p5-Statistics-LineFit/Makefile
  1.3       +1 -1      ports/misc/p5-Norge/Makefile
  1.26      +1 -1      ports/net/p5-Geo-IP/Makefile
  1.6       +1 -1      ports/net/p5-Net-ARP/Makefile
  1.3       +1 -1      ports/net/p5-Net-Yadis/Makefile
  1.2       +1 -1      ports/net/p5-Queue-Beanstalk/Makefile
  1.11      +1 -1      ports/net/p5-Socks/Makefile
  1.9       +1 -1      ports/security/p5-Authen-TacacsPlus/Makefile
  1.9       +1 -1      ports/security/p5-Authen-Ticket/Makefile
  1.5       +1 -1      ports/security/p5-Crypt-PGPSimple/Makefile
  1.2       +1 -1      ports/security/p5-Yahoo-BBAuth/Makefile
  1.2       +1 -1      ports/textproc/p5-Plucene-Analysis-CJKAnalyzer/Makefile
  1.10      +1 -1      ports/textproc/p5-Senna/Makefile
  1.4       +1 -1      ports/textproc/p5-String-Format/Makefile
  1.2       +1 -1      ports/textproc/p5-XML-Canonical/Makefile
  1.9       +1 -1      ports/www/p5-Apache-AutoIndex/Makefile
  1.10      +1 -1      ports/www/p5-Apache-Icon/Makefile
  1.10      +1 -1      ports/www/p5-Apache-Language/Makefile
  1.6       +1 -1      ports/www/p5-ApacheBench/Makefile
  1.8       +1 -1      ports/www/p5-AxKit-XSP-Cookie/Makefile
  1.10      +1 -1      ports/www/p5-AxKit-XSP-ESQL/Makefile
  1.9       +1 -1      ports/www/p5-AxKit-XSP-Exception/Makefile
  1.8       +1 -1      ports/www/p5-AxKit-XSP-IfParam/Makefile
  1.8       +1 -1      ports/www/p5-AxKit-XSP-Param/Makefile
  1.10      +1 -1      ports/www/p5-AxKit-XSP-PerForm/Makefile
  1.8       +1 -1      ports/www/p5-AxKit-XSP-Sendmail/Makefile
  1.9       +1 -1      ports/www/p5-AxKit-XSP-Util/Makefile
  1.9       +1 -1      ports/www/p5-AxKit-XSP-WebUtils/Makefile
  1.19      +1 -1      ports/www/p5-AxKit/Makefile
  1.4       +1 -1      ports/www/p5-Catalyst-Action-REST/Makefile
  1.4       +1 -1      ports/www/p5-Catalyst-Authentication-Store-LDAP/Makefile
  1.3       +1 -1      ports/www/p5-Catalyst-Plugin-Server/Makefile
  1.5       +1 -1      ports/www/p5-Catalyst-View-ClearSilver/Makefile
  1.3       +1 -1      ports/www/p5-Catalyst-View-Email/Makefile
  1.7       +1 -1      ports/www/p5-Catalyst-View-JSON/Makefile
  1.4       +1 -1      ports/www/p5-Catalyst-View-Templated/Makefile
  1.3       +1 -1      ports/www/p5-Catalyst-View-XSLT/Makefile
  1.2       +1 -1      ports/www/p5-HTML-Adsense/Makefile
  1.3       +1 -1      ports/www/p5-HTML-Display/Makefile
  1.3       +1 -1      ports/www/p5-HTML-FillInForm-ForceUTF8/Makefile
  1.2       +1 -1      ports/www/p5-HTTP-MobileAttribute/Makefile
  1.4       +1 -1      ports/www/p5-Template-Plugin-JSON/Makefile
  1.3       +1 -1      ports/www/p5-Template-Plugin-VMethods/Makefile
  1.9       +1 -1      ports/x11-toolkits/p5-Gtk2-TrayIcon/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Marcelo Araujo freebsd_committer 2008-05-19 14:13:42 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!